Skip to main content
GET
/
v2
/
analytics
/
disputes
/
resolution
Get dispute resolution analytics
curl --request GET \
  --url https://api.example.com/v2/analytics/disputes/resolution \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "period_start": "2023-12-25",
      "period_end": "2023-12-25",
      "avg_resolution_days": 123,
      "total_resolution_days": 123,
      "resolved_count": 1,
      "total_amount": 1,
      "by_reason": [
        {
          "reason_id": "<string>",
          "reason_code": "<string>",
          "reason_name": "<string>",
          "count": 1,
          "total_amount": 1,
          "percentage": 50,
          "amount_percentage": 50,
          "avg_resolution_days": 123,
          "total_resolution_days": 123
        }
      ]
    }
  ],
  "open_disputes_over_10_days": 1,
  "avg_resolution_days_mtd": 123,
  "currency": "ADP"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

interval
enum<string>
default:monthly

Time interval for grouping data.

Available options:
weekly,
monthly,
all

Response

Successful Response

data
DisputeResolutionMonth · object[]
required

Monthly dispute resolution data

open_disputes_over_10_days
integer
required

Number of open disputes that have been open more than 10 days

Required range: x >= 0
avg_resolution_days_mtd
number | null
required

Average time to resolution month to date

currency
enum<string>
required

The organization's currency

Available options:
ADP,
AED,
AFA,
AFN,
ALK,
ALL,
AMD,
ANG,
AOA,
AOK,
AON,
AOR,
ARA,
ARL,
ARM,
ARP,
ARS,
ATS,
AUD,
AWG,
AZM,
AZN,
BAD,
BAM,
BAN,
BBD,
BDT,
BEC,
BEF,
BEL,
BGL,
BGM,
BGN,
BGO,
BHD,
BIF,
BMD,
BND,
BOB,
BOL,
BOP,
BOV,
BRB,
BRC,
BRE,
BRL,
BRN,
BRR,
BRZ,
BSD,
BTN,
BUK,
BWP,
BYB,
BYN,
BYR,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLE,
CLF,
CLP,
CNH,
CNX,
CNY,
COP,
COU,
CRC,
CSD,
CSK,
CUC,
CUP,
CVE,
CYP,
CZK,
DDM,
DEM,
DJF,
DKK,
DOP,
DZD,
ECS,
ECV,
EEK,
EGP,
ERN,
ESA,
ESB,
ESP,
ETB,
EUR,
FIM,
FJD,
FKP,
FRF,
GBP,
GEK,
GEL,
GHC,
GHS,
GIP,
GMD,
GNF,
GNS,
GQE,
GRD,
GTQ,
GWE,
GWP,
GYD,
HKD,
HNL,
HRD,
HRK,
HTG,
HUF,
IDR,
IEP,
ILP,
ILR,
ILS,
INR,
IQD,
IRR,
ISJ,
ISK,
ITL,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRH,
KRO,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LTT,
LUC,
LUF,
LUL,
LVL,
LVR,
LYD,
MAD,
MAF,
MCF,
MDC,
MDL,
MGA,
MGF,
MKD,
MKN,
MLF,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MTP,
MUR,
MVP,
MVR,
MWK,
MXN,
MXP,
MXV,
MYR,
MZE,
MZM,
MZN,
NAD,
NGN,
NIC,
NIO,
NLG,
NOK,
NPR,
NZD,
OMR,
PAB,
PEI,
PEN,
PES,
PGK,
PHP,
PKR,
PLN,
PLZ,
PTE,
PYG,
QAR,
RHD,
ROL,
RON,
RSD,
RUB,
RUR,
RWF,
SAR,
SBD,
SCR,
SDD,
SDG,
SDP,
SEK,
SGD,
SHP,
SIT,
SKK,
SLE,
SLL,
SOS,
SRD,
SRG,
SSP,
STD,
STN,
SUR,
SVC,
SYP,
SZL,
THB,
TJR,
TJS,
TMM,
TMT,
TND,
TOP,
TPE,
TRL,
TRY,
TTD,
TWD,
TZS,
UAH,
UAK,
UGS,
UGX,
USD,
USN,
USS,
UYI,
UYP,
UYU,
UYW,
UZS,
VEB,
VED,
VEF,
VES,
VND,
VNN,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XCG,
XDR,
XEU,
XFO,
XFU,
XOF,
XPD,
XPF,
XPT,
XRE,
XSU,
XTS,
XUA,
XXX,
YDD,
YER,
YUD,
YUM,
YUN,
YUR,
ZAL,
ZAR,
ZMK,
ZMW,
ZRN,
ZRZ,
ZWD,
ZWL,
ZWR